org.flexdock.plaf

## Class PlafManager

- java.lang.Object
- - org.flexdock.plaf.PlafManager

-     public class PlafManager
      extends java.lang.Object

  Author:
    Christopher Butler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlafManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Theme` | `addCustomTheme(java.lang.String themeName, java.util.Properties p)`
    `static java.lang.String` | `getSystemThemeName()`
    `static javax.swing.plaf.ComponentUI` | `getUI(javax.swing.JComponent target)` Returns the appropriate `ComponentUI` implementation for `target`.
    `static void` | `installPreferredTheme()`
    `static void` | `installSystemTheme()`
    `static Theme` | `loadCustomTheme(java.lang.String themeName, java.util.Properties p, boolean exclusive)`
    `static Theme` | `removeCustomTheme(java.lang.String themeName)`
    `static Theme` | `setCustomTheme(java.lang.String themeName, java.util.Properties p)`
    `static void` | `setPreferredTheme(java.util.Properties p)`
    `static void` | `setPreferredTheme(java.lang.String themeName)`
    `static void` | `setPreferredTheme(java.lang.String themeName, boolean reload)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlafManager

          public PlafManager()

  - ### Method Detail

    - #### getSystemThemeName

          public static java.lang.String getSystemThemeName()

    - #### installSystemTheme

          public static void installSystemTheme()

    - #### setPreferredTheme

          public static void setPreferredTheme(java.util.Properties p)

    - #### setPreferredTheme

          public static void setPreferredTheme(java.lang.String themeName)

    - #### setPreferredTheme

          public static void setPreferredTheme(java.lang.String themeName,
                               boolean reload)

    - #### installPreferredTheme

          public static void installPreferredTheme()

    - #### addCustomTheme

          public static Theme addCustomTheme(java.lang.String themeName,
                             java.util.Properties p)

    - #### setCustomTheme

          public static Theme setCustomTheme(java.lang.String themeName,
                             java.util.Properties p)

    - #### loadCustomTheme

          public static Theme loadCustomTheme(java.lang.String themeName,
                              java.util.Properties p,
                              boolean exclusive)

    - #### removeCustomTheme

          public static Theme removeCustomTheme(java.lang.String themeName)

    - #### getUI

          public static javax.swing.plaf.ComponentUI getUI(javax.swing.JComponent target)

      Returns the appropriate `ComponentUI` implementation for `target`. In case the component is a member of the installed look and feel, this method first queries `UIManager.getUI(target)` before attempting to resolve it locally.
      Parameters:
        `target` - the `JComponent` to return the `ComponentUI` for
      Returns:
        the `ComponentUI` object for `target`
      Throws:
        `java.lang.NullPointerException` - if `target` is `null`
      See Also:
        `UIManager.getUI(javax.swing.JComponent)`